Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Sorry to ask about three issues in one question, but for all I know they are related.

I have a desktop running 11.10, I upgraded it from 11.04 (I think) a while ago, but haven't used it seriously until now, and it seems to be pretty broken.

Firstly, if I try and edit software sources in Synaptic, I get a message saying 'The repository information has changed. You have to click on the "Reload" button for your changes to take effect'. Reloading doesn't help (the message just appears again, and I can never get to the software sources menu), but apt-get update doesn't report any problems, and I can still update and install software.

Secondly, I have an ATI Radeon HD 5800 GPU, and Ubuntu doesn't seem to think the driver is installed. System Info says 'Graphics VESA: CYPRESS', and the Additional Drivers dialogue offers the FGLRX driver and post-release updates FGLRX driver, saying neither is activated (I definitely had the driver working at some point, probably before I upgraded). If I try and activate the FGLRX driver, the installation process seems to work, but after I restart nothing has changed [EDIT: actually, something does change - Additional Drivers now thinks this driver is installed, but System Info still says vesa]. If I activate the post-release updates version, I get a message saying 'Sorry, the installation of this driver failed. Please have a look at the log file for details: /var/log/jockey.log'. However, sudo apt-get install fglrx-updates fglrx-amdcccle-updates tells me that both are already installed, and the Catalyst Control Center seems to work correctly. Also, Unity 3D does seem to be working (at least I get the 3D version of the dash bar). I'm guessing this problem could be because of the issue with software sources?

Finally, the Unity plugin seems to be missing from the CompizConfig Settings Manager, though I suppose this could be because of the weirdness with the graphics drivers?

Is there likely to be a way of fixing all this, or should I just reinstall Ubuntu (I haven't had good experiences with distribution upgrades in the past)?

share|improve this question
    
support for 11.10 has ended. You may wish to install a newer release. An example of the support calendar is here: wiki.ubuntu.com/LTS –  Elder Geek Jun 12 at 1:57
add comment

2 Answers 2

I add files to /etc/apt/sources.list.d/ ... Synaptic might need to be launched as root to touch those directories if it doesn't ask to escalate when you try and add. Then it's an apt-get update to get it into your local store.

Firstly, if I try and edit software sources in Synaptic,...

The driver being installed doesn't mean it's active. Try switching with jockey-gtk

Secondly, I have an ATI Radeon HD 5800 GPU,...

CCSM is either deprecated, unsupported, or on its way out. It hasn't worked for me properly in some time. The mailing lists suggest that it's going to be removed for an ubuntu specific set of WM stuff.

Finally, the Unity plugin seems to be missing from the CompizConfig Settings...

Neither have I...but a re-install might not magically fix some of this

Is there likely to be a way of fixing all this,...
share|improve this answer
    
Running Synaptic as root doesn't help. jockey-gtk claims the standard FGLRX driver is activated now, but other parts of the system don't seem to see it (it still refuses to install the post-release updates). CCSM works fine for me on my laptop (which had a fresh 11.10 installation). Maybe I should reinstall... –  James Feb 13 '12 at 18:28
    
You might want turn them off via jockey, uninstall them, then install and activate at the same time through jockey...I've had to do that before. I don't know what to tell you on synaptic, as I go with editing/adding files directly. CCSM hasn't worked right for me, but I'm using a multihead config and the only way I got it doing what I wanted it to was through xinerama –  hbdgaf Feb 13 '12 at 18:31
    
On the reinstall...that's your call. Personally, for any system I value I never do dist-upgrades(or windows upgrades for that matter) without backing up so I can revert. –  hbdgaf Feb 13 '12 at 18:37
add comment

Can't edit repos in synaptic;

'Update Manager - Settings' = 'Synaptic -Settings - Repositories'

if you have not installed update-manager, install it and then 'Synaptic -Settings - Repositories' will appear. remove update-manager but,'Synaptic -Settings - Repositories' will appear,too

or if you have not installed update-manager, just install python-gobject and python-gobject-2 and try 'Synaptic -Settings - Repositories'

share|improve this answer
    
Welcome to askubuntu! This doesn't answer the entire question but the question itself is flawed... help.ubuntu.com/community/Repositories/Ubuntu seems to cover the same ground you have here. –  Elder Geek Jun 12 at 1:51
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.